=pod

=head1 SORT TYPES

Search results can be sorted in various ways, depending on the type of
product returned by the search.  If a sort parameter isn't specified in
the request, the results will be ordered as if the +salesrank value is
specified.

=head2 Sorting Books Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Average Customer Review | +reviewrank             |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +pricerank              |
   |-------------------------+-------------------------+
   | Price (High to Low)     | +inverse-pricerank      |
   |-------------------------+-------------------------+
   | Publication Date        | +daterank               |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Software Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical            | +titlerank              |
   |-------------------------+-------------------------+
   | Price (High to Low)     | +price                  |
   |-------------------------+-------------------------+
   | Price (Low to High)     | -price                  |
   +---------------------------------------------------+

=head2 Sorting Outdoor Living Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +psrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   |-------------------------+-------------------------+
   | Manufacturer (A-Z)      | +manufactrank           |
   |-------------------------+-------------------------+
   | Manufacturer (Z-A)      | -manufactrank           |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +price                  |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   +---------------------------------------------------+

=head2 Sorting Tools Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +psrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   |-------------------------+-------------------------+
   | Manufacturer (A-Z)      | +manufactrank           |
   |-------------------------+-------------------------+
   | Manufacturer (Z-A)      | -manufactrank           |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +price                  |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   +---------------------------------------------------+

=head2 Sorting Camera and Photo Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Computers Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +psrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   +---------------------------------------------------+

=head2 Sorting Video Games Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical            | +titlerank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +price                  |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   +---------------------------------------------------+

=head2 Sorting Music Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +psrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Artist Name             | +artistrank             |
   |-------------------------+-------------------------+
   | Original Release Date   | +orig-rel-date          |
   |-------------------------+-------------------------+
   | Alphabetical            | +titlerank              |
   +---------------------------------------------------+

=head2 Sorting Office Products Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +price                  |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   |-------------------------+-------------------------+
   | Review                  | +reviewrank             |
   +---------------------------------------------------+

=head2 Sorting Video Results

   +---------------------------------------------------+
   | Sort Type               | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +psrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical            | +titlerank              |
   +---------------------------------------------------+

=head2 Sorting Electronics Results

   +---------------------------------------------------+
   | Type                    | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical            | +titlerank              |
   |-------------------------+-------------------------+
   | Review                  | +reviewrank             |
   +---------------------------------------------------+

=head2 Sorting DVDs Results

   +---------------------------------------------------+
   | Type                    | Value                   |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical            | +titlerank              |
   +---------------------------------------------------+

=head2 Sorting Kitchen Results

   +---------------------------------------------------+
   | Type                    | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   |-------------------------+-------------------------+
   | Alphabetical (Z-A)      | -titlerank              |
   |-------------------------+-------------------------+
   | Manufacturer (A-Z)      | +manufactrank           |
   |-------------------------+-------------------------+
   | Manufacturer (Z-A)      | -manufactrank           |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +price                  |
   |-------------------------+-------------------------+
   | Price (High to Low)     | -price                  |
   +---------------------------------------------------+

=head2 Sorting Toys Results

   +---------------------------------------------------+
   |  Type                   | Value                   |
   |-------------------------+-------------------------+
   | Featured Items          | +pmrank                 |
   |-------------------------+-------------------------+
   | Bestselling             | +salesrank              |
   |-------------------------+-------------------------+
   | Price (Low to High)     | +pricerank              |
   |-------------------------+-------------------------+
   | Price (High to Low)     | +inverse-pricerank      |
   |-------------------------+-------------------------+
   | Alphabetical (A-Z)      | +titlerank              |
   +---------------------------------------------------+

=cut
